Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::AnnotationSummary Class Reference
Inheritance diagram for foxit::pdf::AnnotationSummary:

## Public Member Functions
| AnnotationSummary (const AnnotationSummary &other)
| Constructor, with another annotation summary object. More...
| AnnotationSummary (const pdf::PDFDoc &document)
| Constructor. More...
| ~AnnotationSummary ()
| Destructor.
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const AnnotationSummary &other) const
| Not equal operator. More...
AnnotationSummary & | operator= (const AnnotationSummary &other)
| Assign operator. More...
bool | operator== (const AnnotationSummary &other) const
| Equal operator. More...
void | SetCallback (AnnotationSummaryCallback *callback)
| Set a callback object for annotation summary. More...
common::Progressive | StartSummarize (const char *dest_file_path, const AnnotationSummarySettings &settings, common::PauseCallback *pause=0)
| Start to summarize annotation. More...
common::Progressive | StartSummarize (const wchar_t *dest_file_path, const AnnotationSummarySettings &settings, common::PauseCallback *pause=0)
| Start to summarize annotation. More...
common::Progressive | StartSummarize (foxit::common::file::WriterCallback *dest_file, const AnnotationSummarySettings &settings, foxit::common::PauseCallback *pause=0)
| Start to summarize annotation. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class can be used to summarize annotation and genearte a PDF file as the result document.

## Constructor & Destructor Documentation

## ◆ AnnotationSummary() [1/2]

foxit::pdf::AnnotationSummary::AnnotationSummary | ( | const pdf::PDFDoc & | document | ) |

Constructor.

Parameters

  [in] | document | A valid PDF document. It should has been loaded successfully.

## ◆ AnnotationSummary() [2/2]

foxit::pdf::AnnotationSummary::AnnotationSummary | ( | const AnnotationSummary & | other | ) |

Constructor, with another annotation summary object.

Parameters

  [in] | other | Another annotation summary object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit::pdf::AnnotationSummary::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::AnnotationSummary::operator!= | ( | const AnnotationSummary & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another annotation summary object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

AnnotationSummary& foxit::pdf::AnnotationSummary::operator= | ( | const AnnotationSummary & | other | ) |

Assign operator.

Parameters

  [in] | other | Another annotation summary object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::AnnotationSummary::operator== | ( | const AnnotationSummary & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another annotation summary object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ SetCallback()

void foxit::pdf::AnnotationSummary::SetCallback | ( | AnnotationSummaryCallback * | callback | ) |

Set a callback object for annotation summary.

If this function is not called, that means no callback will be used.

Parameters

  [in] | callback | A AnnotationSummaryCallback object which is implemented by user. User can change some information/data during summarizing annotations by this callback. Please ensure that the callback object keeps valid until the life-cycle of current AnnotationSummary object ends. If this is NULL, that means to use default information/data.

Returns
  None.

## ◆ StartSummarize() [1/3]

common::Progressive foxit::pdf::AnnotationSummary::StartSummarize | ( | const char * | dest_file_path,
|  | const AnnotationSummarySettings & | settings,
|  | common::PauseCallback * | pause = `0`
| ) |  |

Start to summarize annotation.

It may take a long time to summarize annotation, so Foxit PDF SDK uses a progressive process to do this. If related source PDF document does not have any annotation whose type is supported (please refer to comment of function AnnotationSummarySettings::SetAnnotType), or related source PDF document does not have any annotation, this function will throw exception foxit::e_ErrUnknown.

Parameters

  [in] | dest_file_path | A full path to save a PDF file as the result of annotation summary. This should not be an empty string.
  [in] | settings | Setting data used to summarize annotation.
  [in] | pause | Pause object which decides if the summarizing process needs to be paused. This can be NULL which means not to pause during the parsing process. If this is not NULL, it should be a valid pause object implemented by user. Default value: NULL.

Returns
  A progressive object. Please check the rate of current progress by function common::Progressive::GetRateOfProgress. If the rate is not 100 yet, call function common::Progressive::Continue to continue the progress until the progress is finished.

## ◆ StartSummarize() [2/3]

common::Progressive foxit::pdf::AnnotationSummary::StartSummarize | ( | const wchar_t * | dest_file_path,
|  | const AnnotationSummarySettings & | settings,
|  | common::PauseCallback * | pause = `0`
| ) |  |

Start to summarize annotation.

It may take a long time to summarize annotation, so Foxit PDF SDK uses a progressive process to do this. If related source PDF document does not have any annotation whose type is supported (please refer to comment of function AnnotationSummarySettings::SetAnnotType), or related source PDF document does not have any annotation, this function will throw exception foxit::e_ErrUnknown.

Parameters

  [in] | dest_file_path | A full path to save a PDF file as the result of annotation summary. This should not be an empty string.
  [in] | settings | Setting data used to summarize annotation.
  [in] | pause | Pause object which decides if the summarizing process needs to be paused. This can be NULL which means not to pause during the parsing process. If this is not NULL, it should be a valid pause object implemented by user. Default value: NULL.

Returns
  A progressive object. Please check the rate of current progress by function common::Progressive::GetRateOfProgress. If the rate is not 100 yet, call function common::Progressive::Continue to continue the progress until the progress is finished.

## ◆ StartSummarize() [3/3]

common::Progressive foxit::pdf::AnnotationSummary::StartSummarize | ( | foxit::common::file::WriterCallback * | dest_file,
|  | const AnnotationSummarySettings & | settings,
|  | foxit::common::PauseCallback * | pause = `0`
| ) |  |

Start to summarize annotation.

It may take a long time to summarize annotation, so Foxit PDF SDK uses a progressive process to do this. If related source PDF document does not have any annotation whose type is supported (please refer to comment of function AnnotationSummarySettings::SetAnnotType), or related source PDF document does not have any annotation, this function will throw exception foxit::e_ErrUnknown.

Parameters

  [in] | dest_file | A common::file::WriterCallback object which is implemented by user to store the data of annotation summary to a PDF file as result in custom method.
  [in] | settings | Setting data used to summarize annotation.
  [in] | pause | Pause object which decides if the summarizing process needs to be paused. This can be NULL which means not to pause during the parsing process. If this is not NULL, it should be a valid pause object implemented by user. Default value: NULL.

Returns
  A progressive object. Please check the rate of current progress by function common::Progressive::GetRateOfProgress. If the rate is not 100 yet, call function common::Progressive::Continue to continue the progress until the progress is finished.